> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry extraction

> Try an extraction run again.

**Operation ID:** `http.semantic_tasks.file_extractions.try_again`

```http theme={null}
POST /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again
```


## OpenAPI

````yaml openapi.json POST /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again:
    post:
      tags:
        - Extraction
      summary: Retry extraction
      description: |-
        Try an extraction run again.

        Product guidance: [Extraction](/concepts/extraction).
      operationId: http.semantic_tasks.file_extractions.try_again
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: run
          in: path
          required: true
          schema:
            type: string
        - name: Idempotency-Key
          in: header
          required: true
          description: >-
            1–200 printable ASCII characters, no surrounding spaces; '.' and
            '..' are reserved. Reuse this key with the same request when
            retrying an uncertain outcome.
          schema:
            type: string
            minLength: 1
            maxLength: 200
            pattern: ^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/http_semantic_tasks_file_extractions_try_again_request
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/http_semantic_tasks_file_extractions_try_again_response
      security:
        - bearerAuth: []
components:
  schemas:
    http_semantic_tasks_file_extractions_try_again_request:
      type: object
      properties: {}
      additionalProperties: false
    http_semantic_tasks_file_extractions_try_again_response:
      anyOf:
        - type: object
          properties:
            data:
              type: object
              properties:
                schema:
                  type: string
                  const: penumbra.file-extraction-try-again
                version:
                  type: number
                  const: 1
                run:
                  type: object
                  properties:
                    schema:
                      type: string
                      const: penumbra.file-extraction-run
                    version:
                      type: number
                      const: 1
                    run_id:
                      type: string
                    request_id:
                      type: string
                    scope:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              const: files
                            file_ids:
                              minItems: 1
                              maxItems: 256
                              type: array
                              items:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          required:
                            - kind
                            - file_ids
                          additionalProperties: false
                        - type: object
                          properties:
                            kind:
                              type: string
                              const: collection
                            collection_id:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          required:
                            - kind
                            - collection_id
                          additionalProperties: false
                    source_file_ids:
                      type: array
                      items:
                        type: string
                    collection:
                      anyOf:
                        - type: object
                          properties:
                            id:
                              type: string
                            revision:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                          required:
                            - id
                            - revision
                          additionalProperties: {}
                        - type: 'null'
                    status:
                      type: string
                      enum:
                        - queued
                        - running
                        - completed
                        - stale
                        - failed
                    preset:
                      type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - shape
                            - lens
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          anyOf:
                            - type: string
                            - type: 'null'
                        shapes:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                            required:
                              - id
                              - name
                            additionalProperties: {}
                      required:
                        - kind
                        - id
                        - name
                        - description
                        - shapes
                      additionalProperties: {}
                    level:
                      anyOf:
                        - type: string
                        - type: 'null'
                    continues_run_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    continued_by_run_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    actions:
                      type: object
                      properties:
                        retry:
                          type: object
                          properties:
                            state:
                              type: string
                              enum:
                                - available
                                - hidden
                                - blocked
                            reason_code:
                              anyOf:
                                - type: string
                                - type: 'null'
                            message:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - state
                            - reason_code
                            - message
                          additionalProperties: {}
                      required:
                        - retry
                      additionalProperties: {}
                    destination:
                      type: object
                      properties:
                        workspace_id:
                          type: string
                        workspace_name:
                          type: string
                        context_id:
                          type: 'null'
                      required:
                        - workspace_id
                        - workspace_name
                        - context_id
                      additionalProperties: {}
                    result_counts:
                      type: object
                      properties:
                        accepted:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        needs_evidence:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        rejected:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        repair:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - accepted
                        - needs_evidence
                        - rejected
                        - repair
                      additionalProperties: {}
                    error_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    failure_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    progress:
                      anyOf:
                        - type: object
                          properties:
                            cursor:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            step:
                              anyOf:
                                - type: string
                                  enum:
                                    - draft
                                    - review
                                    - record
                                    - synthesis
                                    - reconcile
                                    - support
                                    - resuming
                                    - stopping
                                - type: 'null'
                            parts:
                              type: object
                              properties:
                                done:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                total:
                                  anyOf:
                                    - type: integer
                                      minimum: 0
                                      maximum: 9007199254740991
                                    - type: 'null'
                              required:
                                - done
                                - total
                              additionalProperties: false
                            live:
                              type: object
                              properties:
                                entities:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                relationships:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                              required:
                                - entities
                                - relationships
                              additionalProperties: false
                            by_type:
                              type: array
                              items:
                                type: object
                                properties:
                                  kind:
                                    type: string
                                    enum:
                                      - entity
                                      - relationship
                                  type_id:
                                    type: string
                                  type_name:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  live:
                                    type: integer
                                    exclusiveMinimum: 0
                                    maximum: 9007199254740991
                                required:
                                  - kind
                                  - type_id
                                  - type_name
                                  - live
                                additionalProperties: false
                            not_accepted:
                              type: object
                              properties:
                                needs_evidence:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                rejected:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                              required:
                                - needs_evidence
                                - rejected
                              additionalProperties: false
                            stop_requested:
                              type: boolean
                          required:
                            - cursor
                            - step
                            - parts
                            - live
                            - by_type
                            - not_accepted
                            - stop_requested
                          additionalProperties: false
                        - type: 'null'
                    stopped_early:
                      type: boolean
                    review_not_run:
                      type: boolean
                    incomplete:
                      default: null
                      anyOf:
                        - type: object
                          properties:
                            parts_delivered:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            parts_total:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            reconciled:
                              type: boolean
                            failure_code:
                              anyOf:
                                - type: string
                                - type: 'null'
                            files_not_fully_read:
                              anyOf:
                                - maxItems: 256
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      file_id:
                                        type: string
                                        format: uuid
                                        pattern: >-
                                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                      partly_read:
                                        type: boolean
                                    required:
                                      - file_id
                                      - partly_read
                                    additionalProperties: false
                                - type: 'null'
                          required:
                            - parts_delivered
                            - parts_total
                            - reconciled
                            - failure_code
                            - files_not_fully_read
                          additionalProperties: false
                        - type: 'null'
                    over_limit_count:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    created_at:
                      type: string
                    updated_at:
                      type: string
                    completed_at:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - schema
                    - version
                    - run_id
                    - request_id
                    - scope
                    - source_file_ids
                    - collection
                    - status
                    - preset
                    - level
                    - continues_run_id
                    - continued_by_run_id
                    - actions
                    - destination
                    - result_counts
                    - error_code
                    - failure_code
                    - progress
                    - stopped_early
                    - review_not_run
                    - incomplete
                    - over_limit_count
                    - created_at
                    - updated_at
                    - completed_at
                  additionalProperties: {}
                parent_run_id:
                  type: string
                replayed:
                  type: boolean
              required:
                - schema
                - version
                - run
                - parent_run_id
                - replayed
              additionalProperties: {}
          required:
            - data
          additionalProperties: false
        - type: object
          properties:
            request_id:
              type: string
            outcome:
              type: string
              const: pending
            reason:
              type: string
            operation:
              type: object
              properties:
                id:
                  type: string
                request_id:
                  type: string
                status_url:
                  type: string
              required:
                - id
                - request_id
                - status_url
              additionalProperties: false
            approval:
              type: object
              properties:
                url:
                  type: string
                status:
                  type: string
                expires_at:
                  type: string
                effects:
                  type: array
                  items:
                    type: string
                next:
                  type: string
              required:
                - url
                - status
                - expires_at
                - effects
                - next
              additionalProperties: false
          required:
            - request_id
            - outcome
            - reason
            - operation
            - approval
          additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.